> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/color-uniformness.md).

# Color Uniformness

Haut.AI provides an AI algorithm that estimates the level of uniformness in hair color. Response scheme for Hair Metrics 2.0.

## **Description**

This metric shows how uniform the hair color is. Various factors can lead to hair color being uneven, from coloring the hair and overuse of heat styling procedures to genetics and aging. Sometimes, uneven hair color and texture can be a direct sign of poor hair health, which can be caused by various nutritional, genetic and metabolic disorders.

**`"algorithm_tech_name": "volume"`**

## `area_name`

The algorithm returns metrics for the following area:

* `hair`

## `main_metric`

The main metric indicates the hair color uniformness category for `area_name`

```javascript
"main_metric": {
                "value": "Uniform Hair Color",
                "widget_type": "category",
                "name": "Color Uniformness",
                "tech_name": "color_uniformness",
                "widget_meta": null
            },
```

![](https://245161714-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MWxBX_zB4FnflOpyBGO%2Fuploads%2FJslbzOJPZuTypXemxDU2%2Fimage.png?alt=media\&token=3b1865f5-1e78-4634-adbd-02948ac8d12e)

* **`value`** The uniformness can be divided into two classes based on `value`:
  * `"Uniform Hair Color"`
  * `"Uneven Hair Color"`
* `"widget_type": "category"`
* `"name": "Color Uniformness"`
* `"tech_name": "color_uniformness"`

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/color-uniformness.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
